Identities
Get user security code
GET/messaging/{session}/users/{id}/security-codeMessaging APILinked Device API
- Base URL
https://api.polymorfa.com- Required permission
contacts:read
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
idstringrequiredpattern^[1-9][0-9]{0,18}$Identifier for this resource.
Responses
200Identity verification code and display QR
successbooleanrequiredWhether the request succeeded.
Allowed valuestruedataobjectrequiredStructured data carried by this object.
Show 5 child fields
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
GET /messaging/{session}/users/{id}/security-codecURL
Not available with the Test key. Use a team key or project token.
curl "https://api.polymorfa.com/messaging/<session>/users/<id>/security-code" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22"Response
{
"success": true,
"data": {
"id": "string",
"numericCode": "string",
"qrCode": "string"
}
}Resolve identity
GET/messaging/{session}/identities/resolveMessaging APILinked Device API
- Base URL
https://api.polymorfa.com- Required permission
contacts:read
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
Query parameters
phoneNumberstringPhone number in international format.
idstringpattern^[1-9][0-9]{0,18}$Identifier for this resource.
usernamestringlength3–35WhatsApp username when one is available.
usernameKeystringpattern^\d{4}$Specifies username key for this query parameter.
Responses
200Stable user ID and known aliases
successbooleanrequiredWhether the request succeeded.
Allowed valuestruedataobjectrequiredStructured data carried by this object.
Show 5 child fields
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
GET /messaging/{session}/identities/resolvecURL
Not available with the Test key. Use a team key or project token.
curl "https://api.polymorfa.com/messaging/<session>/identities/resolve" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22"Response
{
"success": true,
"data": {
"id": "739182640518203",
"phoneNumber": "string",
"bsuid": "string",
"username": "string",
"keyRequired": true
}
}